/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableArc.h
**
** Author : Satish Hota
**
** Description:
**    This file provides the interface for CDrawableArc class.
**
** History:
** 28-Nov-01 Satish Hota
**     File Created. 
** 30-Nov-01 Satish Hota
**     Added the Draw method.
******************************************************************************/

#if !defined(AFX_DRAWABLEARC_H__F64EED18_8AB3_42F3_BED5_7A972DB404C5__INCLUDED_)
#define AFX_DRAWABLEARC_H__F64EED18_8AB3_42F3_BED5_7A972DB404C5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DrawableLine.h"

class CDrawableArc : public CDrawableLine  
{
public:
	virtual long Draw();
	virtual void SetToObject(CDrawableElement *pToObject);
	virtual void SetFromObject(CDrawableElement* pFromObject);
	virtual CDrawableElement* GetFromObject();
	virtual CDrawableElement* GetToObject();
	CDrawableArc();
	virtual ~CDrawableArc();

private:
	CDrawableElement* m_pToElement;
	CDrawableElement* m_pFromElement;
};

#endif // !defined(AFX_DRAWABLEARC_H__F64EED18_8AB3_42F3_BED5_7A972DB404C5__INCLUDED_)
